# OffchainPriceTrigger

### Description

Trigger that triggers when the price of a token is over or under a limit price.

### Trigger ID

`0x3ef9c07c`

### SDK Action

```ts
const offchainPriceTrigger = new dfs.triggers.OffchainPriceTrigger(
    limitPrice,
    limitType
);
```

### Subscription Parameters

```solidity
/// @param limitPrice limit price that represents the triggerable point
/// @param goodUntilTimestamp timestamp until which the trigger is valid
/// @param orderType type of the order (TAKE_PROFIT or STOP_LOSS)
struct SubParams {
    uint256 limitPrice;
    uint256 goodUntilTimestamp;
    OrderType orderType;
}
```

### Calldata Parameters

```solidity
struct CallParams {
    uint256 currentPrice;
}
```

### IsChangeable

`false`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/triggers/utils/offchainpricetrigger.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
